Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class MethodMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.MethodMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

Direct Known Subclasses:
  ExecutionMethodMatcher

public class MethodMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.28 $
Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`
`protected String` | `classname`
`protected javassist.CtMethod` | `ctMethod`
`protected boolean` | `matchOnAdvisor`
`protected int` | `methodModifiers`
`protected String` | `methodName`
`protected Method` | `refMethod`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`MethodMatcher(Advisor advisor, javassist.CtMethod method, ASTStart start)`
`MethodMatcher(Advisor advisor, Method method, ASTStart start)`
`MethodMatcher(Advisor advisor, Method method, ASTStart start, boolean matchOnAdvisor)`

Method Summary
`Boolean` | `matches(ASTMethod node)`
`protected boolean` | `matchesClass(ASTMethod node)`
`protected boolean` | `matchesExceptions(ASTMethod node)`
`protected boolean` | `matchesIdentifier(ASTMethod node)`
`protected boolean` | `matchesModifiers(ASTMethod node)`
`protected boolean` | `matchesParameters(ASTMethod node)`
`protected boolean` | `matchesReturnType(ASTMethod node)`
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTAll node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisor

    protected Advisor advisor

### ctMethod

    protected javassist.CtMethod ctMethod

### refMethod

    protected Method refMethod

### methodModifiers

    protected int methodModifiers

### classname

    protected String classname

### methodName

    protected String methodName

### matchOnAdvisor

    protected boolean matchOnAdvisor

Constructor Detail

### MethodMatcher

    public MethodMatcher(Advisor advisor,
                         javassist.CtMethod method,
                         ASTStart start)

### MethodMatcher

    public MethodMatcher(Advisor advisor,
                         Method method,
                         ASTStart start,
                         boolean matchOnAdvisor)

### MethodMatcher

    public MethodMatcher(Advisor advisor,
                         Method method,
                         ASTStart start)

Method Detail

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### matches

    public Boolean matches(ASTMethod node)

### visit

    public Object visit(ASTAll node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### matchesModifiers

    protected boolean matchesModifiers(ASTMethod node)

### matchesClass

    protected boolean matchesClass(ASTMethod node)

### matchesIdentifier

    protected boolean matchesIdentifier(ASTMethod node)

### matchesExceptions

    protected boolean matchesExceptions(ASTMethod node)

### matchesReturnType

    protected boolean matchesReturnType(ASTMethod node)

### matchesParameters

    protected boolean matchesParameters(ASTMethod node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.